Index: trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4HadronicInteraction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronicInteraction.hh,v 1.14 2010/04/03 00:40:45 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Interaction  abstract base class
Index: trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4HadronicInteractionRegistry.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronicInteractionRegistry.hh,v 1.5 2009/08/30 16:12:34 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 23-Jan-2009 V.Ivanchenko make the class to be a singleton
Index: trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4InelasticInteraction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InelasticInteraction.hh,v 1.7 2009/08/30 16:12:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Inelastic Interaction 
Index: trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4V3DNucleus.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4V3DNucleus.hh,v 1.7 2009/11/19 14:29:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4V3DNucleus_h
Index: trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4VHighEnergyGenerator.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHighEnergyGenerator.hh,v 1.4 2006/06/29 20:45:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VHighEnergyGenerator_h
Index: trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4VIntraNuclearTransportModel.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIntraNuclearTransportModel.hh,v 1.4 2007/01/11 05:29:46 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: G4IntraNuclearTransportMode.hh,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4VKineticNucleon.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKineticNucleon.hh,v 1.4 2006/06/29 20:45:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VKineticNucleon_h
Index: trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4VNuclearDensity.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNuclearDensity.hh,v 1.4 2006/06/29 20:45:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VNuclearDensity_h
Index: trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/include/G4VPreCompoundModel.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VPreCompoundModel.hh,v 1.5 2007/01/11 05:29:34 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4VPreCompoundModel.hh,v 1.6 2010/06/11 15:26:36 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
@@ -42,4 +42,5 @@
 #include "G4ReactionProductVector.hh"
 #include "G4ReactionProduct.hh"
+
 class G4HadProjectile;
 class G4HadFinalState;
@@ -54,10 +55,13 @@
   G4VPreCompoundModel(G4ExcitationHandler* const value, 
                       const G4String& modelName = "PrecompoundModel");
-  virtual ~G4VPreCompoundModel() {};
+
+  virtual ~G4VPreCompoundModel();
   
 protected:
   // default constructor
-  G4VPreCompoundModel() {};
+  G4VPreCompoundModel();
+
 private:
+
   // copy constructor
   G4VPreCompoundModel(const G4VPreCompoundModel &) : G4HadronicInteraction() {};
@@ -68,4 +72,5 @@
 
 public:
+
   virtual G4HadFinalState * 
           ApplyYourself(const G4HadProjectile & thePrimary, G4Nucleus & theNucleus) = 0;
@@ -74,9 +79,9 @@
           DeExcite(const G4Fragment& aFragment) const = 0;
 
-  void SetExcitationHandler(G4ExcitationHandler *const  value);
+  inline void SetExcitationHandler(G4ExcitationHandler *const  value);
     
 protected:
 
-  const G4ExcitationHandler * GetExcitationHandler() const;
+  inline const G4ExcitationHandler * GetExcitationHandler() const;
   
 private:
@@ -84,4 +89,8 @@
 };
 
+inline void G4VPreCompoundModel::SetExcitationHandler(G4ExcitationHandler *const  value)
+{
+  theExcitationHandler = value;
+}
 
 
@@ -91,11 +100,3 @@
 }
 
-inline void G4VPreCompoundModel::SetExcitationHandler(G4ExcitationHandler *const  value)
-{
-  theExcitationHandler = value;
-}
-
-
-
-
 #endif
Index: trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4HadronicInteraction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronicInteraction.cc,v 1.7 2010/04/03 00:40:57 dennis Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Interaction  base class
Index: trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4HadronicInteractionRegistry.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronicInteractionRegistry.cc,v 1.10 2010/03/25 15:31:42 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 23-Jan-2009 V.Ivanchenko make the class to be a singleton
Index: trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4InelasticInteraction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4InelasticInteraction.cc,v 1.12 2009/01/24 11:56:27 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Inelastic Interaction 
Index: trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4V3DNucleus.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4V3DNucleus.cc,v 1.5 2006/06/29 20:45:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #include "G4V3DNucleus.hh"
Index: trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4VHighEnergyGenerator.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VHighEnergyGenerator.cc,v 1.5 2006/06/29 20:46:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // G4VHighEnergyGenerator
Index: trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4VIntraNuclearTransportModel.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIntraNuclearTransportModel.cc,v 1.5 2007/01/11 05:28:56 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: G4VIntraNuclearTransportModel.cc,v 1.0 1998/06/30
Index: trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4VKineticNucleon.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKineticNucleon.cc,v 1.3 2006/06/29 20:46:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #include "G4VKineticNucleon.hh"
Index: trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4VNuclearDensity.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VNuclearDensity.cc,v 1.3 2006/06/29 20:46:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/management/src/G4VPreCompoundModel.cc	(revision 1337)
@@ -25,33 +25,21 @@
 //
 //
-// $Id: G4VPreCompoundModel.cc,v 1.6 2007/01/11 05:29:10 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4VPreCompoundModel.cc,v 1.7 2010/06/11 15:26:36 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
 #include "G4VPreCompoundModel.hh"
-#include "G4HadronicException.hh"
+//#include "G4HadronicException.hh"
 
 G4VPreCompoundModel::G4VPreCompoundModel(G4ExcitationHandler* const value,
                                          const G4String& modelName):
-  G4HadronicInteraction(modelName),
-  theExcitationHandler(value)
+  G4HadronicInteraction(modelName), theExcitationHandler(value)
 {}
 
+G4VPreCompoundModel::G4VPreCompoundModel():
+  G4HadronicInteraction(""), theExcitationHandler(0)
+{}
 
-const G4VPreCompoundModel & 
-G4VPreCompoundModel::operator=(const G4VPreCompoundModel &)
-{
-  G4String text = "G4VPreCompoundModel::operator= meant to not be accessable";
-  throw G4HadronicException(__FILE__, __LINE__, text); 
-  return *this;
-}
-
-G4bool G4VPreCompoundModel::operator==(const G4VPreCompoundModel &) const
-{
-  return false;
-}
-
-G4bool G4VPreCompoundModel::operator!=(const G4VPreCompoundModel &) const
-{
-  return true;
-}
+G4VPreCompoundModel::~G4VPreCompoundModel()
+{}
+ 
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationIterator.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationIterator.hh,v 1.9 2006/06/29 20:46:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4InterpolationIterator_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationManager.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationManager.hh,v 1.13 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4InterpolationManager_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4InterpolationScheme.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InterpolationScheme.hh,v 1.8 2006/06/29 20:46:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4InterpolationScheme_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2AInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2AInelasticFS.hh,v 1.9 2006/06/29 20:46:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2N2AInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2N2AInelasticFS.hh,v 1.9 2006/06/29 20:46:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2N2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NAInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NAInelasticFS.hh,v 1.9 2006/06/29 20:46:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2NAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NDInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NDInelasticFS.hh,v 1.9 2006/06/29 20:46:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2NDInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NInelasticFS.hh,v 1.9 2006/06/29 20:46:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2NPInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2NPInelasticFS.hh,v 1.9 2006/06/29 20:46:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2NPInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP2PInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP2PInelasticFS.hh,v 1.9 2006/06/29 20:46:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP2PInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3AInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3AInelasticFS.hh,v 1.9 2006/06/29 20:46:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP3AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NAInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NAInelasticFS.hh,v 1.9 2006/06/29 20:46:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP3NAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NInelasticFS.hh,v 1.9 2006/06/29 20:46:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP3NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP3NPInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP3NPInelasticFS.hh,v 1.9 2006/06/29 20:46:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP3NPInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHP4NInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHP4NInelasticFS.hh,v 1.9 2006/06/29 20:46:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHP4NInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAInelasticFS.hh,v 1.9 2006/06/29 20:46:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngular.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAngular.hh,v 1.12 2007/06/22 09:23:47 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 070613 fix memory leaking by T. Koi
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPAngularP.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPAngularP.hh,v 1.11 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPAngularP_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPArbitaryTab.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPArbitaryTab.hh,v 1.12 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPArbitaryTab_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCapture.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPCapture.hh,v 1.10 2006/06/29 20:46:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureData.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPCaptureData.hh,v 1.12 2009/11/18 23:16:57 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 080417 Add IsZAApplicable method (return false) by T. Koi
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPCaptureFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPCaptureFS.hh,v 1.11 2006/06/29 20:46:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPCaptureFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannel.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPChannel.hh,v 1.15 2008/05/20 21:24:28 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPChannelList.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPChannelList.hh,v 1.10 2006/06/29 20:46:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContAngularPar.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPContAngularPar.hh,v 1.13 2008/07/21 23:26:29 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 080718 Add ClearHistories method and related class member
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPContEnergyAngular.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPContEnergyAngular.hh,v 1.12 2008/07/21 23:26:29 tkoi Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // 080721 Add ClearHistories() method by T. Koi
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPD2AInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPD2AInelasticFS.hh,v 1.9 2006/06/29 20:47:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPD2AInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDAInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDAInelasticFS.hh,v 1.9 2006/06/29 20:47:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPDAInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDInelasticFS.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDInelasticFS.hh,v 1.9 2006/06/29 20:47:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPDInelasticFS_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPData.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPData.hh,v 1.9 2006/06/29 20:47:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
  // Hadronic Process: Very Low Energy Neutron X-Sections
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDataPoint.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDataPoint.hh,v 1.8 2006/06/29 20:47:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPDataPoint_h
Index: trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh
===================================================================
--- trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/neutron_hp/include/G4NeutronHPDeExGammas.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronHPDeExGammas.hh,v 1.13 2007/06/06 12:45:13 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4NeutronHPDeExGammas_h
